Get all workspaces

View as Markdown
Gets all [workspaces](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/creating-workspaces/). The response includes your workspaces and any workspaces that you have access to. **Note:** This endpoint's response contains the visibility field. Visibility determines who can access the workspace: - `personal` — Only you can access the workspace. - `team` — All team members can access the workspace. - `private` — Only invited team members can access the workspace ([**Team** and **Enterprise** plans only](https://www.postman.com/pricing)). - `public` — Everyone can access the workspace. - `partner` — Only invited team members and [partners](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/partner-workspaces/) can access the workspace ([**Team** and **Enterprise** plans only](https://www.postman.com/pricing)).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

typeenumOptional
The type of workspace to filter the response by.
Allowed values:
createdByintegerOptional

Return only workspaces created by a specific user ID. For multiple users, pass this value as a comma-separated list of user IDs. The response only returns workspaces that you have access to.

includeenumOptional
Include the following information in the endpoint's response: - `mocks:deactivated` — Include all deactivated mock servers in the response. - `scim` — Return the SCIM user IDs of the workspace creator and who last modified it.
Allowed values:
elementTypeenumOptional

Filter results to return the workspace where the given element type is located. If you pass this query parameter, you must also pass the elementId query parameter.

Allowed values:
elementIdstringOptional

Filter results to return the workspace where the given element’s ID is located. When filtering by collection, you must use the collection’s unique ID (userId-collection). If you pass this query parameter, you must also pass the elementType query parameter.

cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptional1-100
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.

Response

Successful Response
workspaceslist of objects
A list of workspaces.
metaobject

The response’s meta information for paginated results. This object only returns if you pass the limit query parameter.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error